package com.engine.salary.enums.setting;

import com.engine.salary.enums.BaseEnum;

/**
 * 人员类型
 */
public enum PageListSettingPageEnum implements BaseEnum<String> {

    SALARY_DETAILS_REPORT("salary_details_report", "薪资明细报表", 109125)
    ;

    private String value;

    private String defaultLabel;

    private int labelId;

    PageListSettingPageEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }
}
